Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2000, 2009, Oracle and/or its affiliates. All rights reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.wsrp.consumer.userproperty
Interface UserProperty

    public interface UserProperty

A generic interface to represent a user property

This interface is intended to be implemented only by Oracle Weblogic Portal. Oracle Systems reserves the right to add abstract methods to this interface without notice. Implementations of this interface by other parties must not be expected to compile without change in future versions of Oracle Weblogic Portal.

Field Summary
`static String` | `CONSTANT_BOOLEAN_QUOTE` Used to designate a constant boolean value, should start and end value (e.g.
`static int` | `CONSTANT_BOOLEAN_QUOTE_LEN` the length of `CONSTANT_BOOLEAN_QUOTE`
`static String` | `CONSTANT_DATE_QUOTE` Used to designate a constant date/time value, should start and end value (e.g.
`static int` | `CONSTANT_DATE_QUOTE_LEN` the length of `CONSTANT_DATE_QUOTE`
`static String` | `CONSTANT_DOUBLE_QUOTE` Used to designate a constant double value, should start and end value (e.g.
`static int` | `CONSTANT_DOUBLE_QUOTE_LEN` the length of `CONSTANT_DOUBLE_QUOTE`
`static String` | `CONSTANT_LONG_QUOTE` Used to designate a constant long value, should start and end value (e.g.
`static int` | `CONSTANT_LONG_QUOTE_LEN` the length of `CONSTANT_LONG_QUOTE`
`static String` | `CONSTANT_STRING_QUOTE` Used to designate a constant String value, should start and end value (e.g.
`static int` | `CONSTANT_STRING_QUOTE_LEN` the length of `CONSTANT_STRING_QUOTE`
`static String` | `P3P_PROPERTY_SET_NAME` The property set name used for P3P properties.
`static String` | `PROPERTY_SET_ALL_SUFFIX` The ending of a property specification referring to an entire property set
`static int` | `PROPERTY_SET_ALL_SUFFIX_LENGHT` The length of `PROPERTY_SET_ALL_SUFFIX`
`static char` | `SEPERATOR` Used to seperate the proeprty set name from the property name when writing as a single String
`static String` | `USER_PROPERTY_SET_TYPE` The property set type used by PropertySetManager

Method Summary
`String` | `getPropertyName()` Get the property's name
`String` | `getPropertySetName()` Get the property's set name
`Object` | `getPropertyValue()` Get the property's value.

Field Detail

### P3P_PROPERTY_SET_NAME

    static final String P3P_PROPERTY_SET_NAME

  The property set name used for P3P properties.

  Example usage:

  <profile:getProperty propertySet="<%= UserProperty.P3P_PROPERTY_SET_NAME %>" propertyName="gender"/>

  See Also
    Constants Summary

### SEPERATOR

    static final char SEPERATOR

  Used to seperate the proeprty set name from the property name when writing as a single String

  See Also
    Constants Summary

### PROPERTY_SET_ALL_SUFFIX

    static final String PROPERTY_SET_ALL_SUFFIX

  The ending of a property specification referring to an entire property set

  See Also
    Constants Summary

### PROPERTY_SET_ALL_SUFFIX_LENGHT

    static final int PROPERTY_SET_ALL_SUFFIX_LENGHT

  The length of `PROPERTY_SET_ALL_SUFFIX`

### USER_PROPERTY_SET_TYPE

    static final String USER_PROPERTY_SET_TYPE

  The property set type used by PropertySetManager

  See Also
    Constants Summary

### CONSTANT_STRING_QUOTE

    static final String CONSTANT_STRING_QUOTE

  Used to designate a constant String value, should start and end value (e.g. "foo bar")

  See Also
    Constants Summary

### CONSTANT_STRING_QUOTE_LEN

    static final int CONSTANT_STRING_QUOTE_LEN

  the length of `CONSTANT_STRING_QUOTE`

### CONSTANT_LONG_QUOTE

    static final String CONSTANT_LONG_QUOTE

  Used to designate a constant long value, should start and end value (e.g. /L1234/L)

  See Also
    Constants Summary

### CONSTANT_LONG_QUOTE_LEN

    static final int CONSTANT_LONG_QUOTE_LEN

  the length of `CONSTANT_LONG_QUOTE`

### CONSTANT_DOUBLE_QUOTE

    static final String CONSTANT_DOUBLE_QUOTE

  Used to designate a constant double value, should start and end value (e.g. /D123.456/D)

  See Also
    Constants Summary

### CONSTANT_DOUBLE_QUOTE_LEN

    static final int CONSTANT_DOUBLE_QUOTE_LEN

  the length of `CONSTANT_DOUBLE_QUOTE`

### CONSTANT_BOOLEAN_QUOTE

    static final String CONSTANT_BOOLEAN_QUOTE

  Used to designate a constant boolean value, should start and end value (e.g. /Btrue/B)

  See Also
    Constants Summary

### CONSTANT_BOOLEAN_QUOTE_LEN

    static final int CONSTANT_BOOLEAN_QUOTE_LEN

  the length of `CONSTANT_BOOLEAN_QUOTE`

### CONSTANT_DATE_QUOTE

    static final String CONSTANT_DATE_QUOTE

  Used to designate a constant date/time value, should start and end value (e.g. /D123.456/D)

  See Also
    Constants Summary

### CONSTANT_DATE_QUOTE_LEN

    static final int CONSTANT_DATE_QUOTE_LEN

  the length of `CONSTANT_DATE_QUOTE`

Method Detail

### getPropertySetName

    String getPropertySetName()

  Get the property's set name

  Returns
    the property set name

### getPropertyName

    String getPropertyName()

  Get the property's name

  Returns
    the property name

### getPropertyValue

    Object getPropertyValue()

  Get the property's value. This must return on of the folowing:

  - String
  - Date
  - Boolean
  - Float (treated as Double)
  - Double
  - other Number (treated as Long)
  - Collection<String>
  - Collection<Date>
  - Collection<Float>
  - Collection<Double>
  - Collection

  Returns
    the value

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000, 2009, Oracle and/or its affiliates. All rights reserved.
Oracle is a registered trademark of Oracle Corporation and/or its affiliates.
Other names may be trademarks of their respective owners.